I can't download apps that require iOS 5.0 because I need to update to 7.1

Discussion in 'iOS 7' started by FatPuppy, Mar 27, 2014.

  1. FatPuppy, Mar 27, 2014
    Last edited: Mar 27, 2014

    FatPuppy macrumors 68000

    FatPuppy

    Joined:
    Jul 14, 2012
    #1
    I am trying to download a game called "smashy bird" and in the description it says that it requires iOS 5.0 but my iPhone is on iOS 6.1.3 and when I tap the download button it says to upgrade to 7.1[​IMG]
     
  2. dannyyankou macrumors 604

    dannyyankou

    Joined:
    Mar 2, 2012
    #2
    It's likely a typo. You have 1000s of other flappy bird clones to choose from anyway.


    PS, I forgot how hideous that App Store was.
     
  3. Nyy8 macrumors 6502a

    Nyy8

    Joined:
    Jun 12, 2011
    Location:
    New England
  4. FatPuppy thread starter macrumors 68000

    FatPuppy

    Joined:
    Jul 14, 2012
    #4
    It's an iPhone 4
     
  5. JackieInCo macrumors 601

    Joined:
    Jul 18, 2013
    Location:
    Colorado
    #5
    So the iPhone 4 can't upgrade?
     
  6. FatPuppy thread starter macrumors 68000

    FatPuppy

    Joined:
    Jul 14, 2012
    #6
    No, the iPhone 4 su*** on ios 7
     
  7. JackieInCo macrumors 601

    Joined:
    Jul 18, 2013
    Location:
    Colorado
    #7
    Oh I see. I haven't kept up on that much.
     
  8. Cell-666 macrumors 6502

    Joined:
    May 3, 2011
    #8
    I thought with 7.1 there was a vast improvement?
     
  9. jabingla2810 macrumors 68020

    Joined:
    Oct 15, 2008
    #9
    Apparently iOS 7.1 works pretty well on an iPhone 4.

    Might be worth looking into.
     
  10. FatPuppy thread starter macrumors 68000

    FatPuppy

    Joined:
    Jul 14, 2012
    #10
    I tried 7.1 and I'm not happy with it just because the music app lags a bit.
     
  11. BvizioN macrumors 601

    BvizioN

    Joined:
    Mar 16, 2012
    Location:
    Manchester, UK
    #11
    Each to their own but I personally wouldn't torture myself using that outdated OS for that reason alone only. And to be honest I very rarely use the music app anyway. Spotify all the time.
     
  12. Dino F macrumors 68020

    Dino F

    Joined:
    Sep 16, 2010
    Location:
    Croydon, South London, UK
    #12
    ...iOS 7.1 runs super smoothly on my OH's iPhone 4. Pre iOS 7 it ran horribly slow however, now, its like a new phone again....!!!!
     
  13. FatPuppy thread starter macrumors 68000

    FatPuppy

    Joined:
    Jul 14, 2012
    #13
    I use the music app daily and I have over 300 songs. The app lags when I scroll through albums and when I tap the "back" button.
     
  14. C DM macrumors Westmere

    Joined:
    Oct 17, 2011
    #14
    There's really nothing outdated about iOS 6. It might not be the latest version or have some extras like Control Center, but that doesn't make it outdated. But, yeah, to each his/her own.
     
  15. BvizioN macrumors 601

    BvizioN

    Joined:
    Mar 16, 2012
    Location:
    Manchester, UK
    #15
    I misjudged the title and thought it was iOS 5. Yes, the fact is iOS 6 is not outdated, however from my personal experience compare to iOS 7 looks very outdated.
     
  16. RoboWarriorSr macrumors 6502a

    Joined:
    Feb 23, 2013
    #16
    Why would the albums lag while scrolling under iOS 7? I would think that would be RAM restricted (caching album art) rather than CPU and my 4S scrolls 3,000 songs perfectly under iOS 7.1 (previously under iOS 7 there were some lag evident).
     
  17. FatPuppy thread starter macrumors 68000

    FatPuppy

    Joined:
    Jul 14, 2012
    #17
    Yeah maybe but this doesn't happen on iOS 6
     
  18. cambookpro macrumors 603

    cambookpro

    Joined:
    Feb 3, 2010
    Location:
    United Kingdom
    #18
    My brother has 3,000 songs on a 7.1 iPhone 4 and it's fine. Sure, the music app generally isn't great on any iOS 7 device, but it's not worth staying on iOS 6 for.
     

Share This Page